org.apache.lucene.analysis.miscellaneous

## Class DateRecognizerFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.FilteringTokenFilter
        - - org.apache.lucene.analysis.miscellaneous.DateRecognizerFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class DateRecognizerFilter
      extends FilteringTokenFilter

  Filters all tokens that cannot be parsed to a date, using the provided `DateFormat`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DATE_TYPE`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateRecognizerFilter(TokenStream input)` Uses `DateFormat.DEFAULT` and `Locale.ENGLISH` to create a `DateFormat` instance.
    `DateRecognizerFilter(TokenStream input, DateFormat dateFormat)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept()`

    - ### Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter

      `end, incrementToken, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DATE_TYPE

          public static final String DATE_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DateRecognizerFilter

          public DateRecognizerFilter(TokenStream input)

      Uses `DateFormat.DEFAULT` and `Locale.ENGLISH` to create a `DateFormat` instance.

    - #### DateRecognizerFilter

          public DateRecognizerFilter(TokenStream input,
                                      DateFormat dateFormat)

  - ### Method Detail

    - #### accept

          public boolean accept()

      Specified by:
        `accept` in class `FilteringTokenFilter`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.